# --------------------------
# Include all CamiTK macros
# --------------------------

# -- generic useful macros
include(GetSubdirectories)
include(GatherHeadersAndSources)
include(ParseArguments)
include(GetDirectoryName)
include(GetSubdirectoryFiles)

# -- CamiTK specific macros
include(CamiTKAddSubDirectory)
include(ExportHeaders)

# -- CamiTK extensions and library macro
include(CamiTKExtensionProject)
include(CamiTKExtension)
include(CamiTKLibrary)
include(CamiTKApplication)

# -- CamiTK subproject gathering
include(CamiTKSubProjectInit)
include(CamiTKSubProjectAdd)
include(CamiTKSubProjectValidate)

# -- CamiTK test macros (see also http://www.org/cmake/help/v2.8.8/cmake.html#section_PropertiesonTests)
include(CamiTKInitTest)
include(CamiTKAddTest)

# -- packaging macros
include(CamiTKOpenSourcePackaging)
include(CamiTKCEPPackaging)

# -- CamiTK actions / components parsing test macros
include(CamiTKParseTestInit)
include(CamiTKParseTestAdd)
include(CamiTKParseTestValidate)

# -- Translations
include(CamiTKTranslate)